summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaúl Porcel <armin76@gentoo.org>2008-02-11 20:47:35 +0000
committerRaúl Porcel <armin76@gentoo.org>2008-02-11 20:47:35 +0000
commit5a5965b95b5f46b7bbde8e88471cff4afdf7181a (patch)
treeca2d65ab15e4ed5ed507261d90df4615060b68b4 /eclass/php-pear-lib-r1.eclass
parentAdd nightly for 2008-02-10 (diff)
downloadgentoo-2-5a5965b95b5f46b7bbde8e88471cff4afdf7181a.tar.gz
gentoo-2-5a5965b95b5f46b7bbde8e88471cff4afdf7181a.tar.bz2
gentoo-2-5a5965b95b5f46b7bbde8e88471cff4afdf7181a.zip
Import from php overlay
Diffstat (limited to 'eclass/php-pear-lib-r1.eclass')
-rw-r--r--eclass/php-pear-lib-r1.eclass24
1 files changed, 11 insertions, 13 deletions
diff --git a/eclass/php-pear-lib-r1.eclass b/eclass/php-pear-lib-r1.eclass
index 430edceab02f..a98c9b8046c3 100644
--- a/eclass/php-pear-lib-r1.eclass
+++ b/eclass/php-pear-lib-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.12 2007/09/02 17:49:20 jokey Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-pear-lib-r1.eclass,v 1.13 2008/02/11 20:47:35 armin76 Exp $
#
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -13,11 +13,11 @@
# such as Creole, Jargon, Phing etc., while retaining the functionality to put
# the libraries into version-dependant directories.
-inherit depend.php
+inherit depend.php multilib
EXPORT_FUNCTIONS src_install
-DEPEND="dev-lang/php >=dev-php/PEAR-PEAR-1.4.6"
+DEPEND="dev-lang/php >=dev-php/PEAR-PEAR-1.6.1"
RDEPEND="${DEPEND}"
# @FUNCTION: php-pear-lib-r1_src_install
@@ -34,23 +34,20 @@ php-pear-lib-r1_src_install() {
case "${CATEGORY}" in
dev-php)
if has_version '=dev-lang/php-5*' ; then
- PHP_BIN="/usr/lib/php5/bin/php"
+ PHP_BIN="/usr/$(get_libdir)/php5/bin/php"
else
- PHP_BIN="/usr/lib/php4/bin/php"
+ PHP_BIN="/usr/$(get_libdir)/php4/bin/php"
fi ;;
- dev-php4) PHP_BIN="/usr/lib/php4/bin/php" ;;
- dev-php5) PHP_BIN="/usr/lib/php5/bin/php" ;;
+ dev-php4) PHP_BIN="/usr/$(get_libdir)/php4/bin/php" ;;
+ dev-php5) PHP_BIN="/usr/$(get_libdir)/php5/bin/php" ;;
*) die "Version of PHP required by packages in category ${CATEGORY} unknown"
esac
cd "${S}"
mv -f "${WORKDIR}/package.xml" "${S}"
- if has_version '>=dev-php/PEAR-PEAR-1.4.8' ; then
- pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" "${S}/package.xml" > /dev/null || die "Unable to install PEAR package"
- else
- pear -d php_bin="${PHP_BIN}" install --nodeps --packagingroot="${D}" "${S}/package.xml" > /dev/null || die "Unable to install PEAR package"
- fi
+ pear -d php_bin="${PHP_BIN}" install --force --loose --nodeps --offline --packagingroot="${D}" \
+ "${S}/package.xml" || die "Unable to install PEAR package"
rm -Rf "${D}/usr/share/php/.channels" \
"${D}/usr/share/php/.depdblock" \
@@ -64,7 +61,8 @@ php-pear-lib-r1_src_install() {
# the path, many files can specify it wrongly
if [[ -n "${PHP_SHARED_CAT}" ]] && [[ "${PHP_SHARED_CAT}" != "php" ]] ; then
mv -f "${D}/usr/share/php" "${D}/usr/share/${PHP_SHARED_CAT}" || die "Unable to move files"
- find "${D}/" -type f -exec sed -e "s|/usr/share/php|/usr/share/${PHP_SHARED_CAT}|g" -i {} \; || die "Unable to change PHP path"
+ find "${D}/" -type f -exec sed -e "s|/usr/share/php|/usr/share/${PHP_SHARED_CAT}|g" -i {} \; \
+ || die "Unable to change PHP path"
einfo
einfo "Installing to /usr/share/${PHP_SHARED_CAT} ..."
einfo